Bug 1876025 - clidownloads mistakenly lists IBM Power and Z as unsupported [4.5]
Summary: clidownloads mistakenly lists IBM Power and Z as unsupported [4.5]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.z
Assignee: Jakub Hadvig
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On: 1875969
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 23:52 UTC by OpenShift BugZilla Robot
Modified: 2020-11-10 14:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-10 14:53:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot showing the cli downloads (282.35 KB, image/png)
2020-11-05 01:56 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 467 0 None closed [release-4.5] Bug 1876025: clidownloads: IBM Power and Z are supported 2020-11-08 13:00:02 UTC
Red Hat Product Errata RHBA-2020:4425 0 None None None 2020-11-10 14:54:10 UTC

Description OpenShift BugZilla Robot 2020-09-04 23:52:13 UTC
+++ This bug was initially created as a clone of Bug #1875969 +++

IBM Z has been supported since 4.2.z and Power since 4.3.z, so should not be listed as unsupported in clidownloads.

Comment 6 Siva Reddy 2020-11-05 01:56:02 UTC
The Download oc for Linux for IBM Z and IBM Power is showing in the Console  cli tools downloads without the "unsupported" annotation.

Version:
4.5.0-0.nightly-2020-11-04-215039

Steps to verify:

1. Login to web console
2. Click on the "?" help icon on the top right corner and navigate to Command Line Tools option
3. verify that the "Download oc for Linux for IBM Z" and "Download oc for Linux for IBM Power" are without the "unsupported" word in parentheses.

Hence moving this bug to verify status. attaching the screen shot.

Comment 7 Siva Reddy 2020-11-05 01:56:56 UTC
Created attachment 1726773 [details]
screen shot showing the cli downloads

Comment 9 errata-xmlrpc 2020-11-10 14:53:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4425


Note You need to log in before you can comment on or make changes to this bug.